umbrello: DCodeGenerationPolicyPage Class Reference

umbrello 2.38.5 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Attributes | List of all members
DCodeGenerationPolicyPage Class Reference

`#include <dcodegenerationpolicypage.h>`

Inheritance diagram for DCodeGenerationPolicyPage:

## Public Slots
void | apply ()
Public Slots inherited from CodeGenerationPolicyPage
virtual void | apply ()

## Public Member Functions
| DCodeGenerationPolicyPage (QWidget *parent=0, const char *name=0, DCodeGenerationPolicy *policy=0)
virtual | ~DCodeGenerationPolicyPage ()
Public Member Functions inherited from CodeGenerationPolicyPage
| CodeGenerationPolicyPage (QWidget *parent=0, const char *name=0, CodeGenPolicyExt *policy=0)
virtual | ~CodeGenerationPolicyPage ()
void | setDefaults ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Protected Attributes
DCodeGenerationFormBase * | form
Protected Attributes inherited from CodeGenerationPolicyPage
CodeGenPolicyExt * | m_parentPolicy
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)

## Constructor & Destructor Documentation

## ◆ DCodeGenerationPolicyPage()

DCodeGenerationPolicyPage::DCodeGenerationPolicyPage | ( | QWidget * | parent = 0,
|  | const char * | name = 0,
|  | DCodeGenerationPolicy * | policy = 0 )
| explicit

Todo
  unclean - CreateANTBuildFile attribute should be in d policy CodeGenerator *codegen = UMLApp::app()->getGenerator(); DCodeGenerator *dcodegen = dynamic_cast<DCodeGenerator*>(codegen); if (dcodegen) form->m_makeANTDocumentCheckBox->setChecked(dcodegen->getCreateANTBuildFile());

## ◆ ~DCodeGenerationPolicyPage()

DCodeGenerationPolicyPage::~DCodeGenerationPolicyPage | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ apply

void DCodeGenerationPolicyPage::apply | ( |  | ) |
| slot

Todo
  unclean - CreateANTBuildFile attribute should be in d policy CodeGenerator *codegen = UMLApp::app()->getGenerator(); DCodeGenerator *dcodegen = dynamic_cast<DCodeGenerator*>(codegen); if (dcodegen) dcodegen->setCreateANTBuildFile(form->m_makeANTDocumentCheckBox->isChecked());

## Member Data Documentation

## ◆ form

DCodeGenerationFormBase* DCodeGenerationPolicyPage::form
| protected

The documentation for this class was generated from the following files:

- umbrello/codegenerators/d/dcodegenerationpolicypage.h
- umbrello/codegenerators/d/dcodegenerationpolicypage.cpp